# DropDownListStringItem Class Reference

Common string list item. More...

`#include <dropdown_type.h>`

Inheritance diagram for DropDownListStringItem:

## Public Member Functions
| DropDownListStringItem (StringID string, int result, bool masked)
virtual bool | Selectable () const
virtual uint | Width () const
virtual void | Draw (int left, int right, int top, int bottom, bool sel, int bg_colour) const
virtual StringID | String () const
## Data Fields
StringID | string
| String ID of item.

## Detailed Description

Common string list item.

Definition at line 40 of file dropdown_type.h.

The documentation for this class was generated from the following files:

- src/widgets/dropdown_type.h
- src/widgets/dropdown.cpp